2 Replies Latest reply on Jan 9, 2017 3:50 AM by LoweMo.photo

    Which Lua version is used by LR 6?

    Griffel Level 1

      Which Lua version is used by LR 6?

      "Lightroom SDK 6 Programme Guide" states: "Lightroom 5 uses version 5.1.4 of the Lua language."

      What about LR 6?

      Is there a way to determine the version by means of the SDK or Lua?

        • 1. Re: Which Lua version is used by LR 6?
          LoweMo.photo Level 1

          It's all still 5.1.4 in order to maintain as much backward-compatibility as possible. At some point, (I hope, perhaps) Adobe will move to something else or at least update the Lua version in use, since more modern versions of Lua do solve some of the issues that we encounter in 5.1.x, but sticking to one version helps avoid some of the issues of needing to maintain branches based on not only different versions of the SDK (new features), but also changs in Lua.

           

          Note that that means that if you compile your Lua code, you should be sure to install the luac 5.1.x version, not anything more recent, or there may be issues.

          1 person found this helpful
          • 2. Re: Which Lua version is used by LR 6?
            LoweMo.photo Level 1

            That's a sentence that the authors of the SDK apparently forgot to update when releasing the version for Lightroom 6.